---
updatedAt: 2026-06-12T11:16:53.000Z
agentTools:
  projectIndex: https://apidocs.neuronsinc.com/llms.txt
---

# Create Vast Video

# Capture video from VAST
Creates a video object in the system and returns the medium id.

- **vast_url** URL of the VAST file

- **render_url** URL of the ad rendering service

- **device** Device type for the VAST file (optional)

### Expected request payload

The request body must be populated with the video characteristics:

* **vast\_url**:  The URL of the VAST XML file. Must be compliant with the industry specification.
* **render\_url**: A URL for a page where the VAST-based ad is rendered and can be captured.
* **device**: This is an optional parameter. By default is `desktop`, however, for mobile-only ads, please specify it as `mobile`.

```json JSON
{
  "vast_url": "string",
  "render_url": "string",
  "device": "desktop"
}
```

### Example of a successful response

The response contains two properties:

* The *media\_id*: serves as an identifier for the video media (to be used on any operation for the video)

```json
{
  "media_id": "0d1aeafa-d360-47c2-afaf-c6149281c202"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Neurons Customers API v2",
    "version": "2.0.0",
    "description": "Neurons Customers API"
  },
  "paths": {
    "/predict/v2/videos/capture/vast": {
      "post": {
        "operationId": "createVastVideo",
        "summary": "Create Vast Video",
        "parameters": [],
        "responses": {
          "201": {
            "description": "Created",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/MediaIDOut"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Detail"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Detail"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Detail"
                }
              }
            }
          },
          "412": {
            "description": "Precondition Failed",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Detail"
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Content",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Detail"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Detail"
                }
              }
            }
          },
          "502": {
            "description": "Bad Gateway",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Detail"
                }
              }
            }
          }
        },
        "description": "# Capture video from VAST\nCreates a video object in the system and returns the medium id.\n\n- **vast_url** URL of the VAST file\n\n- **render_url** URL of the ad rendering service\n\n- **device** Device type for the VAST file (optional)",
        "tags": [
          "Videos"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/VASTSpec"
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "LegacyPredictAPIAuth": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "Detail": {
        "properties": {
          "detail": {
            "title": "Detail",
            "type": "string"
          }
        },
        "required": [
          "detail"
        ],
        "title": "Detail",
        "type": "object"
      },
      "MediaIDOut": {
        "properties": {
          "media_id": {
            "format": "uuid4",
            "title": "Media Id",
            "type": "string"
          }
        },
        "required": [
          "media_id"
        ],
        "title": "MediaIDOut",
        "type": "object"
      },
      "VASTSpec": {
        "properties": {
          "vast_url": {
            "format": "uri",
            "maxLength": 2083,
            "minLength": 1,
            "title": "Vast Url",
            "type": "string"
          },
          "render_url": {
            "format": "uri",
            "maxLength": 2083,
            "minLength": 1,
            "title": "Render Url",
            "type": "string"
          },
          "device": {
            "default": "desktop",
            "enum": [
              "desktop",
              "mobile"
            ],
            "title": "Device",
            "type": "string"
          }
        },
        "required": [
          "vast_url",
          "render_url"
        ],
        "title": "VASTSpec",
        "type": "object"
      }
    },
    "securitySchemes": {
      "LegacyPredictAPIAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key"
      }
    }
  },
  "servers": [
    {
      "url": "https://api.neuronsinc.com"
    }
  ]
}
```